Package org.springframework.security.acls.model

# Interface ObjectIdentityGenerator

All Known Implementing Classes:
  `ObjectIdentityRetrievalStrategyImpl`

public interface ObjectIdentityGenerator
Strategy which creates an `ObjectIdentity` from an object identifier (such as a primary key) and type information.

Differs from `ObjectIdentityRetrievalStrategy` in that it is used in situations when the actual object instance isn't available.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`ObjectIdentity`
`createObjectIdentity(Serializable id, String type)`

## Method Details

### createObjectIdentity

ObjectIdentity createObjectIdentity(Serializable id, String type)

Parameters:
  `id` - the identifier of the domain object, not null
  `type` - the type of the object (often a class name), not null
Returns:
  the identity constructed using the supplied identifier and type information.